<template>
  <div>
    <div
      class="block-header trunk"
      :style="{ 'background-image': `url(${bgUrl})` }"
    >
      <h1>{{ title }}</h1>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      required: true
    },
    bgUrl: {
      type: String,
      required: true
    }
  }
}
</script>

<style lang="scss" scoped>
.block-header {
  margin-top: 50px;
  margin-bottom: 70px;
  width: 100%;
  height: 600px;
  background-position: center;
  background-repeat: no-repeat;
  align-items: flex-end;
  display: flex;

  h1 {
    font-size: 70px;
    color: white;
    max-width: 580px;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 28px 50px;
    margin-left: 140px;
    min-width: 580px;
    min-height: 280px;
    display: flex;
    align-items: center;
  }
}
</style>
